#ifndef __WANDERING_H_
#define __WANDERING_H_

#define WANDERING_ONLY_HOST 1
#define WANDERING_ONLY_PROJECT 2
#define WANDERING_HOST_THEN_PROJECT 3
#define WANDERING_PROJECT_THEN_HOST 4


void wandering_add_error(struct top_tag_node * tag,
	struct error_file_node * tf);

void wandering_process(struct top_tag_node *tag, const char * project);

void wandering_found(struct top_tag_node *tag,const char * filename);

void wandering_print_report(FILE * f,struct top_tag_node *tag, 
	unsigned int wandering_type);

#endif
