#ifndef __PACKAGES_H_
#define __PACKAGES_H_

#define DISTRO_NAME_LENGTH 1024

#define PACKAGE_NAME_LENGTH 100
#define PACKAGE_VERSION_LENGTH 100
#define PACKAGE_RELEASE_LENGTH 100
#define PACKAGE_ARCH_LENGTH 10

#define FILENAME_LENGTH 512

#define MAX_PACKAGES 10000

struct package_file_record {
	char filename[FILENAME_LENGTH];
	struct tag_record * tag_base;
	unsigned int package_num;
};

struct package_record {
	char package_name[PACKAGE_NAME_LENGTH];
	char package_version[PACKAGE_VERSION_LENGTH];
	char package_arch[PACKAGE_ARCH_LENGTH];
	int used;
	struct package_file_record * file_base;
};

#endif
